package net.northking.cctp.executePlan.dto.planEntrust;

import java.io.Serializable;
import java.util.List;

/**
 * <p>Title: AtuEntrustInfoDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2022/12/09
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */

public class AtuEntrustInfoDto implements Serializable {

    /**
     * 计划ID
     */
    private String planId;

    /**
     * 批次ID
     */
    private String batchId;

    /**
     * 类型，1-PC，2-移动，3-接口
     */
    private String type;

    /**
     * 队列名称
     */
    private String queueName;

    /**
     * 优先级
     */
    private String priority;

    /**
     * 设备列表
     */
    private List<EntrustDeviceDto> deviceList;

    public String getPlanId() {
        return planId;
    }

    public void setPlanId(String planId) {
        this.planId = planId;
    }

    public String getBatchId() {
        return batchId;
    }

    public void setBatchId(String batchId) {
        this.batchId = batchId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getQueueName() {
        return queueName;
    }

    public void setQueueName(String queueName) {
        this.queueName = queueName;
    }

    public String getPriority() {
        return priority;
    }

    public void setPriority(String priority) {
        this.priority = priority;
    }

    public List<EntrustDeviceDto> getDeviceList() {
        return deviceList;
    }

    public void setDeviceList(List<EntrustDeviceDto> deviceList) {
        this.deviceList = deviceList;
    }
}
